log4cplus::DiagnosticContext Struct Reference

This is the internal object that is stored on the NDC stack. More...

`#include <ndc.h>`

## Public Member Functions

| DiagnosticContext (const log4cplus::tstring &message, DiagnosticContext const *parent)
| DiagnosticContext (tchar const *message, DiagnosticContext const *parent)
| DiagnosticContext (const log4cplus::tstring &message)
| DiagnosticContext (tchar const *message)
| DiagnosticContext (DiagnosticContext const &)
DiagnosticContext & | operator= (DiagnosticContext const &)
| DiagnosticContext (DiagnosticContext &&)
DiagnosticContext & | operator= (DiagnosticContext &&)
void | swap (DiagnosticContext &)

## Public Attributes

log4cplus::tstring | message
log4cplus::tstring | fullMessage

## Detailed Description

This is the internal object that is stored on the NDC stack.

Definition at line 284 of file ndc.h.

## Constructor & Destructor Documentation

## DiagnosticContext() [1/6]

log4cplus::DiagnosticContext::DiagnosticContext | ( | const log4cplus::tstring & | message,
|  | DiagnosticContext const * | parent )

References DiagnosticContext(), and message.

Referenced by DiagnosticContext(), DiagnosticContext(), DiagnosticContext(), DiagnosticContext(), operator=(), operator=(), and swap().

## DiagnosticContext() [2/6]

log4cplus::DiagnosticContext::DiagnosticContext | ( | tchar const * | message,
|  | DiagnosticContext const * | parent )

References DiagnosticContext(), and message.

## DiagnosticContext() [3/6]

log4cplus::DiagnosticContext::DiagnosticContext | ( | const log4cplus::tstring & | message | ) |

References message.

## DiagnosticContext() [4/6]

log4cplus::DiagnosticContext::DiagnosticContext | ( | tchar const * | message | ) |

References message.

## DiagnosticContext() [5/6]

log4cplus::DiagnosticContext::DiagnosticContext | ( | DiagnosticContext const & |  | ) |

References DiagnosticContext().

## DiagnosticContext() [6/6]

log4cplus::DiagnosticContext::DiagnosticContext | ( | DiagnosticContext && |  | ) |

References DiagnosticContext().

## Member Function Documentation

## operator=() [1/2]

DiagnosticContext & log4cplus::DiagnosticContext::operator= | ( | DiagnosticContext && |  | ) |

References DiagnosticContext().

## operator=() [2/2]

DiagnosticContext & log4cplus::DiagnosticContext::operator= | ( | DiagnosticContext const & |  | ) |

References DiagnosticContext().

## swap()

void log4cplus::DiagnosticContext::swap | ( | DiagnosticContext & |  | ) |

References DiagnosticContext().

## Member Data Documentation

## fullMessage

log4cplus::tstring log4cplus::DiagnosticContext::fullMessage

The entire message stack.

Definition at line 302 of file ndc.h.

## message

log4cplus::tstring log4cplus::DiagnosticContext::message

The message at this context level.

Definition at line 301 of file ndc.h.

Referenced by DiagnosticContext(), DiagnosticContext(), DiagnosticContext(), and DiagnosticContext().

The documentation for this struct was generated from the following file:

- ndc.h